=== debian/changelog ===
python-feather-format (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 May 2016 19:08:48 +0800

python-feather-format (0.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 11 Apr 2016 23:10:05 +0800

python-feather-format (0.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 05 Apr 2016 14:15:34 +0800

python-feather-format (0.1.0-1) unstable; urgency=low

  * Initial release. Closes: #819526

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 30 Mar 2016 19:01:30 +0800
