=== debian/control ===
Source: python-feather-format
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>=9),
               cython,
               cython3,
               dh-python,
               python3-all,
               python3-dev,
               python3-numpy,
               python3-pandas,
               python3-setuptools,
               python-all,
               python-dev,
               python-numpy,
               python-pandas,
               python-setuptools,
Standards-Version: 3.9.8
Homepage: https://github.com/wesm/feather
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-feather-format.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-feather-format.git
X-Python3-Version: >= 3.4
X-Python-Version: >= 2.7

Package: python-feather-format
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
Description: Python interface to the Apache Arrow-based Feather File Format (Python 2)
 Feather is binary columnar serialization for data frames. It is
 designed to read and write data frames very efficiently, and to make it
 easy to share data across multiple data analysis languages.
 .
 This package provides python2 binding for feather format.

Package: python3-feather-format
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
Description: Python interface to the Apache Arrow-based Feather File Format (Python 3)
 Feather is binary columnar serialization for data frames. It is
 designed to read and write data frames very efficiently, and to make it
 easy to share data across multiple data analysis languages.
 .
 This package provides python3 binding for feather format.
