=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
http://pypi.debian.net/feather-format/feather-format-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
