=== debian/control ===
Source: python-feather-format
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper-compat (= 13),
               cython3-legacy,
               dh-python,
               python3-all,
               python3-all-dev,
               python3-numpy,
               python3-pandas,
               python3-six,
               python3-setuptools,
Standards-Version: 4.5.1
Homepage: https://github.com/wesm/feather
Vcs-Git: https://salsa.debian.org/python-team/packages/python-feather-format.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-feather-format

Package: python3-feather-format
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         python3-six,
         python3-pandas,
Description: Python interface to the Apache Arrow-based Feather File Format (Python 3)
 Feather is binary columnar serialization for data frames. It is
 designed to read and write data frames very efficiently, and to make it
 easy to share data across multiple data analysis languages.
 .
 This package provides python3 binding for feather format.
