## python-feather-format 0.3.1+dfsg1

=== requirements.txt ===
pandas>=0.17.0
