=== src/feather/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,19 @@
   writer.cc
 )
 
+set(LIBFEATHER_HEADERS
+  api.h
+  buffer.h
+  common.h
+  feather-c.h
+  io.h
+  metadata.h
+  reader.h
+  status.h
+  types.h
+  writer.h
+)
+
 set(LIBFEATHER_LINK_LIBS
 )
 
@@ -31,6 +44,7 @@
 add_library(feather
   ${LIBFEATHER_LINKAGE}
   ${LIBFEATHER_SRCS}
+  ${LIBFEATHER_HEADERS}
 )
 
 set_target_properties(feather
@@ -43,6 +57,7 @@
     set_target_properties(feather PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
 endif()
 
+
 add_library(feather_test_main
   tests/test_main.cc)
 
@@ -52,6 +67,13 @@
     dl)
   set_target_properties(feather_test_main
         PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
+elseif (WIN32)
+  target_link_libraries(feather_test_main
+    gtest)
+  # copy dll to directory of test executables
+  add_custom_command(TARGET feather_test_main POST_BUILD
+                     COMMAND ${CMAKE_COMMAND} -E copy_directory
+                     $<TARGET_FILE_DIR:feather> $<TARGET_FILE_DIR:feather_test_main>)
 else()
   target_link_libraries(feather_test_main
     dl
