=== debian/changelog ===
python-feather-format (0.3.1+dfsg1-8) unstable; urgency=medium

  * Team upload.
  * Verify new upstream versions >0.3.1 are wrapper around pyarrow and thus
    can not be packaged before pyarrow is packaged for Debian.
  * Standards-Version: 4.6.2
  * Build-Depends: s/dh-python/dh-sequence-python3/
  * Rules-Requires-Root: no
  * Watch file standard 4
  * Adapt to Pandas 2.0
    Closes: #1044071

 -- Andreas Tille <tille@debian.org>  Fri, 09 Feb 2024 07:17:29 +0100
