=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cython3-legacy,
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-all-dev,
                python3-numpy,
                python3-pandas,
                python3-six,
                python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/wesm/feather
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-feather-format.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-feather-format
