=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import feather; print(feather)" ; done
Depends: python3-all, python3-feather-format, python3-setuptools
Restrictions: allow-stderr, superficial
