=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg1 \
https://pypi.debian.net/feather-format/feather-format-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
